#include <bits/stdc++.h>
using namespace std;

int main()
{
    long long p;
    long long q;
    long long r;
    long long L;
    long long D;
    long long br=0;
    long long a;
    long long b;
    long long c;

    cin >> p >> q >> r >> L >> D;

    for(long long i=L; i<=D; i++)
    {
        a=i/p;
        b=i/q;
        c=i/r;

        if(round(i/p)>a)
        {
            a++;
        }

        if(round(i/q)>b)
        {
            b++;
        }

        if(round(i/r)>c)
        {
            c++;
        }
        
        if (a + b + c <= i)
        {
            br++;
        }
    }
    cout << br;

    return 0;
}